Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
app-emulation/emul-linux-x86-xlibs is blocking x11-proto/xcb
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
OPelerin
Guru
Guru


Joined: 17 Jul 2004
Posts: 328
Location: Belgium

PostPosted: Mon Mar 25, 2013 6:28 am    Post subject: app-emulation/emul-linux-x86-xlibs is blocking x11-proto/xcb Reply with quote

I'm using the profile [5] default/linux/amd64/13.0/desktop/kde *

I' now getting the following error:

Quote:
[ebuild U ] net-fs/samba-3.6.13 [3.6.12]
[ebuild U ] sys-power/upower-0.9.20-r2 [0.9.20-r1]
[blocks B ] <=app-emulation/emul-linux-x86-xlibs-20130224 ("<=app-emulation/emul-linux-x86-xlibs-20130224" is blocking x11-proto/xcb-proto-1.8-r2)

* Error: The above package list contains packages which cannot be
* installed at the same time on the same system.

(x11-proto/xcb-proto-1.8-r2::gentoo, ebuild scheduled for merge) pulled in by
x11-proto/xcb-proto required by (x11-libs/xcb-util-wm-0.3.9::gentoo, installed)
>=x11-proto/xcb-proto-1.7.1[python_targets_python2_7(-),python_targets_python3_2(-),python_single_target_python2_7(+)] required by (x11-libs/xpyb-1.3.1-r1::gentoo, installed)

(app-emulation/emul-linux-x86-xlibs-20130224::gentoo, installed) pulled in by
>=app-emulation/emul-linux-x86-xlibs-20120520 required by (net-im/skype-4.1.0.20::gentoo, installed)
>=app-emulation/emul-linux-x86-xlibs-2.1[development] required by (app-emulation/wine-1.5.26::gentoo, installed)
~app-emulation/emul-linux-x86-xlibs-20130224 required by (app-emulation/emul-linux-x86-medialibs-20130224::gentoo, installed)
app-emulation/emul-linux-x86-xlibs required by (www-plugins/nspluginwrapper-1.4.4-r3::gentoo, installed)
>=app-emulation/emul-linux-x86-xlibs-20100611 required by (app-emulation/emul-linux-x86-opengl-20130224::gentoo, installed)
~app-emulation/emul-linux-x86-xlibs-20130224 required by (app-emulation/emul-linux-x86-gtklibs-20130224::gentoo, installed)




My make.conf is
Quote:

cat /etc/make.conf
# These settings were set by the catalyst build script that automatically
# built this stage.
# Please consult /usr/share/portage/config/make.conf.example for a more
# detailed example.
CFLAGS="-march=native -O3 -pipe"
CXXFLAGS="${CFLAGS}"
# WARNING: Changing your CHOST is not something that should be done lightly.
# Please consult http://www.gentoo.org/doc/en/change-chost.xml before changing.
CHOST="x86_64-pc-linux-gnu"
# These are the USE flags that were used in addition to what is provided by the
# profile used for building.
USE="osmesa bindist -ldap kqemu ipv6 vde timidity midi fluidsynth upnp python musicbrainz ipod eap smi pcre lua kerberos graphiz pyqt4 ffmpeg libass libv4l2 libv4l win32codecs wma-fixed projectm apng -hal udev tools holidays tcl cdio icu semantic-desktop declarative threads xine embedded ipv6 qt4 threads enca moonlight laptop cisco embedded nat-transport jack chm xscreensaver v4l v4l2 hal avahi acpi portaudio gcrypt cdda -cddb tcpreplay sqlite xinerama aspell pulseaudio flash java nsplugin gnutls canon extras mmx sse sse2"
MAKEOPTS="-j8"
ACCEPT_LICENSE="*"
VIDEO_CARDS="nouveau"
INPUT_DEVICES="evdev keyboard mouse synaptics"
ACCEPT_KEYWORDS="~amd64 ~x86"
CAMERAS="canon"
QEMU_SOFTMMU_TARGETS="i386 x86_64"
QEMU_USER_TARGETS="i386 x86_64"
GENTOO_MIRRORS="ftp://ftp.klid.dk/gentoo/ http://ftp.klid.dk/ftp/gentoo/ ftp://ftp.free.fr/mirrors/ftp.gentoo.org/ http://mirrors.linuxant.fr/distfiles.gentoo.org/ http://de-mirror.org/distro/gentoo/ ftp://de-mirror.org/distro/gentoo/ ftp://gentoo.tiscali.nl/pub/mirror/gentoo/ http://gentoo.tiscali.nl/ http://mirror.switch.ch/ftp/mirror/gentoo/ ftp://mirror.switch.ch/mirror/gentoo/ ftp://mirror.bytemark.co.uk/gentoo/ http://mirror.bytemark.co.uk/gentoo/ ftp://gentoo.virginmedia.com/sites/gentoo http://gentoo.virginmedia.com/"



Any ideas what's going on here?
_________________
Olivier PELERIN
Back to top
View user's profile Send private message
genstorm
Advocate
Advocate


Joined: 05 Apr 2007
Posts: 2352
Location: Austria

PostPosted: Mon Mar 25, 2013 6:53 am    Post subject: Reply with quote

Hmm, as far as I understand, it should only block emul-linux-x86-xlibs-20130224 if you have set ABI_X86="32 for one or more X packages. //well, maybe the block is needed because adding "32" to the ABI_X86 flag later would cause file collisions with xlibs, in that case it makes sense that you can't mix old emul-linux with new multilib X packages and vice versa.

You apparently are running a mixed keywords system, so trouble like this is expected to happen. Your choices are: remove xcb-proto from package.keywords (xcb-proto-1.8-r1 is non-multilib), or upgrade to emul-linux-x86-xlibs-20130224-r1 (with a flurry of additional multilib X deps) which then serves as meta-package pulling in those X multilib packages that previously came as binaries.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
OPelerin
Guru
Guru


Joined: 17 Jul 2004
Posts: 328
Location: Belgium

PostPosted: Mon Mar 25, 2013 8:36 am    Post subject: Reply with quote

Hey

I had x86 for historical reasons. There is indeed no need to keep that nowadays
I've got rid of x86 keyword + removed all ABI_X86 32 from the package.use + emerge newuse & revdep-rebuild
so far so good
_________________
Olivier PELERIN
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum